import yaml


from content import Read,Write


#========================================================================

class Read_Yaml(Read):

#========================================================================

    #----------------------------------------------------------------

    def onRead(self,content=None,**args):

        yield yaml.load(content)

    #----------------------------------------------------------------

    def onPostprocess(self,result=None,**args):

        node=result.children[0]
        node.detach()
        result.destroy()

        return node

    #----------------------------------------------------------------


#========================================================================

class Write_Yaml(Write):

#========================================================================


    #----------------------------------------------------------------

    def onWrite(self,node=None,**args):

        yield yaml.dump(dict(node))

    #----------------------------------------------------------------

#========================================================================
